## org.apache.bcel.generic
Class BIPUSH

    java.lang.Object
      org.apache.bcel.generic.Instruction
          org.apache.bcel.generic.BIPUSH

All Implemented Interfaces:
  Serializable, Cloneable, ConstantPushInstruction, PushInstruction, StackProducer, TypedInstruction

    public class BIPUSH

extends Instruction
implements ConstantPushInstruction

BIPUSH - Push byte on stack

    Stack: ... -> ..., value

Version:
  $Id: BIPUSH.java 386056 2006-03-15 11:31:56Z tcurdt $
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.bcel.generic.Instruction
`length, opcode`

Constructor Summary
`BIPUSH(byte b)` Push byte on stack

Method Summary
`void` `accept(Visitor v)` Call corresponding visitor method(s).
`void` `dump(DataOutputStream out)` Dump instruction as byte code to stream out.
`Type` `getType(ConstantPoolGen cp)`
`Number` `getValue()`
`protected void` `initFromFile(ByteSequence bytes, boolean wide)` Read needed data (e.g.
`String` `toString(boolean verbose)` Long output format: <name of opcode> "["<opcode number>"]" "("<length of instruction>")"

Methods inherited from class org.apache.bcel.generic.Instruction
`consumeStack, copy, equals, getComparator, getLength, getName, getOpcode, produceStack, readInstruction, setComparator, toString, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.bcel.generic.StackProducer
`produceStack`

Constructor Detail

### BIPUSH

    public BIPUSH(byte b)

  Push byte on stack

Method Detail

### dump

    public void dump(DataOutputStream out)
              throws IOException

  Dump instruction as byte code to stream out.

  Overrides:
    `dump` in class `Instruction`
  Parameters:
    `out` - Output stream
  Throws:
    `IOException`

### toString

    public String toString(boolean verbose)

  Description copied from class: `Instruction`
  Long output format: <name of opcode> "["<opcode number>"]" "("<length of instruction>")"

  Overrides:
    `toString` in class `Instruction`
  Parameters:
    `verbose` - long/short format switch
  Returns:
    mnemonic for instruction

### initFromFile

    protected void initFromFile(ByteSequence bytes,
                                boolean wide)
                         throws IOException

  Read needed data (e.g. index) from file.

  Overrides:
    `initFromFile` in class `Instruction`
  Parameters:
    `bytes` - byte sequence to read from
    `wide` - "wide" instruction flag
  Throws:
    `IOException`

### getValue

    public Number getValue()

  Specified by:
    `getValue` in interface `ConstantPushInstruction`

### getType

    public Type getType(ConstantPoolGen cp)

  Specified by:
    `getType` in interface `TypedInstruction`
  Returns:
    Type.BYTE

### accept

    public void accept(Visitor v)

  Call corresponding visitor method(s). The order is: Call visitor methods of implemented interfaces first, then call methods according to the class hierarchy in descending order, i.e., the most specific visitXXX() call comes last.

  Specified by:
    `accept` in class `Instruction`
  Parameters:
    `v` - Visitor object

Copyright © 2002-2006 Apache Software Foundation. All Rights Reserved.